#!/usr/bin/env perl

use Test::Most;
use Test::Files;

use autodie;
use feature qw(say);

use Path::Class qw(file);

use Bio::MUST::Tools::TwoScalp::Seq2Seq;

{
    my $class = 'Bio::MUST::Tools::TwoScalp::Seq2Seq';

    $class->new(
        ali => file('test', 'PTHR22663.ali'),
        out_suffix   => '-my-ts-s2s',
        coverage_mul => 1.01,
        single_hsp   => 0,
    );

    compare_ok(
        file('test', 'PTHR22663-my-ts-s2s.ali'),
        file('test', 'PTHR22663-ts-s2s.ali'),
            'wrote expected Ali for: PTHR22663'
    );
}

done_testing;
